Unable to install libusb-git

I use xow to get the wireless dongle for my XBox One Controller to work, which has a bug that runs a CPU core at 100% because of an issue with libusb.

Since the update for libusb may not come out for months, the suggested1 solution2 appears to be using libusb-git from AUR.

Unfortunately it says it doesn’t want to install:

❯ pamac install libusb-git
Warning: libusb-git is only available from AUR
Preparing...
Checking libusb-git dependencies...
Warning: removing libusb breaks dependency 'libusb-1.0.so=0-64' required by pipewire
Add pipewire to remove
Error: Failed to prepare transaction:
could not satisfy dependencies:
- removing pipewire breaks dependency 'pipewire' required by pipewire-media-session,
- if possible, remove pipewire-media-session and retry
- removing pipewire breaks dependency 'libpipewire-0.3.so=0-64' required by pipewire-media-session,
- if possible, remove pipewire-media-session and retry
- removing libusb breaks dependency 'libusb-1.0.so=0-64' required by sane,
- if possible, remove sane and retry
Resolving dependencies...
Checking inter-conflicts...
Error: Failed to prepare transaction:
could not satisfy dependencies:
- removing pipewire breaks dependency 'pipewire' required by pipewire-media-session,
- if possible, remove pipewire-media-session and retry
- removing pipewire breaks dependency 'libpipewire-0.3.so=0-64' required by pipewire-media-session,
- if possible, remove pipewire-media-session and retry
- removing libusb breaks dependency 'libusb-1.0.so=0-64' required by sane,
- if possible, remove sane and retry



Edit build files : [e] 
Apply transaction ? [e/y/N]

Have you tried any of those:

It seems to be an issue with Pamac. I was able to install it fine with Yay.

Install prerequisites:

sudo pacman -Syu --needed base-devel git yay

Install libusb-git:

yay -S libusb-git

@Wollie Those “suggestions” are not realistic in this case.

3 Likes

Trying to remove pipewire wants to remove pipewire-media-session, which wants to remove xdg-desktop-portal, which wants to remove manjaro-kde-settings. I didn’t go ahead cause that seems potentially bad :slight_smile:

Thank you @Yochanan !

It installed fine with yay & it seems to be working as expected! :fireworks: :+1:

Greatly appreciate the assist :heart:

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.